# ScalaCompileOptions

abstract class ScalaCompileOptions : BaseScalaCompileOptions

Options for Scala Compilation.

## Constructors

ScalaCompileOptions
Link copied to clipboard
constructor()

## Properties

additionalParameters
Link copied to clipboard
var additionalParameters: List<String>
debugLevel
Link copied to clipboard
open var debugLevel: String
encoding
Link copied to clipboard
open var encoding: String
forkOptions
Link copied to clipboard
open val forkOptions: ScalaForkOptions
incrementalOptions
Link copied to clipboard
open val incrementalOptions: IncrementalCompileOptions
keepAliveMode
Link copied to clipboard
val keepAliveMode: Property<KeepAliveMode>
loggingLevel
Link copied to clipboard
open var loggingLevel: String
loggingPhases
Link copied to clipboard
open var loggingPhases: List<String>

## Functions

forkOptions
Link copied to clipboard
open fun forkOptions(action: Action<in ScalaForkOptions>)
incrementalOptions
Link copied to clipboard
open fun incrementalOptions(action: Action<in IncrementalCompileOptions>)
isDeprecation
Link copied to clipboard
open fun isDeprecation(): Boolean
isFailOnError
Link copied to clipboard
open fun isFailOnError(): Boolean
isForce
Link copied to clipboard
open fun isForce(): Boolean
isListFiles
Link copied to clipboard
open fun isListFiles(): Boolean
isOptimize
Link copied to clipboard
open fun isOptimize(): Boolean
isUnchecked
Link copied to clipboard
open fun isUnchecked(): Boolean
setDeprecation
Link copied to clipboard
open fun setDeprecation(deprecation: Boolean)
setFailOnError
Link copied to clipboard
open fun setFailOnError(failOnError: Boolean)
setForce
Link copied to clipboard
open fun setForce(force: Boolean)
setListFiles
Link copied to clipboard
open fun setListFiles(listFiles: Boolean)
setOptimize
Link copied to clipboard
open fun setOptimize(optimize: Boolean)
setUnchecked
Link copied to clipboard
open fun setUnchecked(unchecked: Boolean)